<?php
class flow_cost_centerClassModel extends flowModel
{
	
	

 public function flowrsreplace($rs)
    {
		    if($rs['type']){
                $data=$this->db->getone('oa_option',"num='".$rs['type']."' and pid=1377");
                $rs['type']=$data['name'];
            }
             
                $data=$this->db->getone('oa_option',"num='".$rs['status']."' and pid=1380");
                $rs['status']=$data['name'];
            
           
             if($rs['pid']){
                $data=$this->db->getone('oa_c_cbzx',"id='".$rs['pid']."'");
                $rs['pid']=$data['name'];
             }



		            return $rs;
	}

               
	 
}
